function plot_result_cl(arr1,arr2,rise_time,temp_r,str,txt0,txt1,txt2,txt3,max_time,ref_deg,volt_rpm)
figure(2);
subplot(1,2,2);
delete(subplot(1,2,2));
subplot(1,2,2);
title(str);
axis([0 max_time 0 4]);
xlabel('Time in Seconds');
ylabel('Tacho Output in Volts');
hline = refline([0 ref_deg]);
hline.Color='r';
hold on;
plot(arr2,smooth(arr1),'.','Color',[0.7,0.7,0]);
plot(rise_time,temp_r,'r*');
text((max_time/3),(1.7),txt0);
text((max_time/3),(1.6),txt1);
text((max_time/3),(1.5),txt2);
text((max_time/3),(1.4),txt3);
yyaxis right
axis([0 max_time 0 volt_rpm(4)]);
ylabel('Motor Response in RPM');
grid on;
grid minor;
hold on;

end